Name:           perl-Image-PNG-Libpng
Version:        0.56
Release:        2%{?dist}
Summary:        Perl interface to the libpng library
# lib/Image/PNG/Const.pm:   GPL+ or Artistic
# lib/Image/PNG/Libpng.pod: GPL+ or Artistic
## Not in any binary package
# Makefile.PL:              GPL+ or Artistic
# repackage.sh:             GPLv2+
# t/libpng/PngSuite.LICENSE:    FSFUL-like (contrib/pngsuite bundled from libpng)
# t/tantei-san.png  ???
## Stripped from the source archive
# examples/life.png         CC-BY-NC-2.5
# examples/life-gray.png    CC-BY-NC-2.5
# t/qrpng.png:      A lyrics of Bad City by Casey Rankin
# unt/chunks.png    ???
# unt/logo_icon128.v101.png ???
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Image-PNG-Libpng
# Original archive from
# <https://cpan.metacpan.org/authors/id/B/BK/BKB/Image-PNG-Libpng-%%{version}.tar.gz>
# contains files with a bad license. They were stripped with ./repackage.sh
# script. <https://github.com/benkasminbullock/image-png-libpng/issues/36>.
Source0:        Image-PNG-Libpng-%{version}_repackaged.tar.gz
Source1:        repackage.sh
# Adapt tests to stripped source archive. Not suitable for the upstream.
# <https://github.com/benkasminbullock/image-png-libpng/issues/36>.
Patch0:         Image-PNG-Libpng-0.56-Remove-tests-depending-on-proprietary-files.patch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::Constant)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(lib)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# pkgconf-pkg-config for pkg-config tool
BuildRequires:  pkgconf-pkg-config
BuildRequires:  pkgconfig(libpng)
# Run-time:
BuildRequires:  perl(constant)
# Data::Dumper not used at tests
# Data::Validate::URI not used at tests
# LWP::Simple not used at tests
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(File::Compare)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Image::PNG::Libpng is a Perl library for accessing the contents of PNG
(Portable Network Graphics) images. It enables Perl to read and write files in
the PNG format.

%package tools
Summary:        Tools for inspecting PNG images
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Suggests:       perl(Data::Validate::URI)
Suggests:       perl(LWP::Simple)

%description tools
pnginspect tool prints a text representation of the data within a PNG image
file to standard output. If you have Data::Validate::URI and LWP::Simple
installed, you can also use it to examine PNG files on the web.

%prep
%setup -q -n Image-PNG-Libpng-%{version}
%patch0 -p1

%build
perl Makefile.PL --check INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Image*
%{_mandir}/man3/*

%files tools
%{_bindir}/pnginspect
%{_mandir}/man1/pnginspect.*

%changelog
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 04 2021 Petr Pisar <ppisar@redhat.com> - 0.56-1
- 0.56 bump

* Mon Dec 21 2020 Petr Pisar <ppisar@redhat.com> - 0.54-1
- 0.54 bump

* Sun Dec 13 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.52-1
- 0.52 bump

* Thu Dec 10 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.49-1
- 0.49 bump

* Tue Nov 24 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.48-1
- 0.48 bump

* Mon Nov 02 2020 Petr Pisar <ppisar@redhat.com> 0.47-1
- Specfile autogenerated by cpanspec 1.78.
